#include "partition.h"
#include<bits/stdc++.h>
using namespace std;
vector<int> solve(vector<int> v) {
	vector<int> ans;
	int n = v.size();
	int k = 0;
	if(n%2==0) k = 1;
	for(int i = 0; i < n/2-k; i++) {
		ans.push_back(i);
	}
	ans.push_back(n-1);
	for(int i = n/2-k; i< n-1; i++) ans.push_back(i);
	return ans;
}

